Requirements

You can use the Craft Server Check (opens new window) script to quickly find out if your server meet’s Craft’s requirements.

# Minimum System Specs

  • PHP 7.0+
  • MySQL 5.5+ with InnoDB, MariaDB 5.5+, or PostgreSQL 9.5+
  • 256MB+ memory allocated to PHP
  • 200MB+ free disk space
  • PHP 7.4*
  • MySQL 5.7+ with InnoDB, MariaDB 10.5+, or PostgreSQL 10+
  • 512MB+ of memory allocated to PHP
  • 200MB+ of free disk space
  • Composer 1.3+ if installing Craft via Composer

* The most recent stable PHP version is usually best for performance and long-term support (opens new window).

# Required PHP Extensions

We recommend ImageMagick for expanded image handling options and the Intl (opens new window) extension for rich internationalization support.

# Optional PHP Methods and Configurations

Some shared hosting environments will disable certain common PHP methods and configurations that affect Craft features.

# Required Database User Privileges

The database user you tell Craft to connect with must have the following privileges:

# MySQL/MariaDB

  • SELECT
  • INSERT
  • DELETE
  • UPDATE
  • CREATE
  • ALTER
  • INDEX
  • DROP
  • REFERENCES
  • LOCK TABLES

# PostgreSQL

  • SELECT
  • INSERT
  • UPDATE
  • CREATE
  • DELETE
  • REFERENCES
  • CONNECT

# Control Panel Browser Requirements

Craft’s control panel requires a browser that supports JavaScript modules (opens new window).

# Windows and macOS

  • Firefox 67+
  • Chrome 63+
  • Safari 11.1+
  • Edge 79+

# Mobile

  • iOS: Safari 11+
  • Android: Chrome 81+ or Firefox 68+

Craft’s control panel browser requirements have nothing to do with your actual website. If you’re a glutton for punishment and want your website to look flawless on IE 6, that’s your choice.